Bug 1348256 - storage: fix schema validation warnings
Summary: storage: fix schema validation warnings
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: vdsm
Classification: oVirt
Component: Bindings-API
Version: 4.18.5
Hardware: Unspecified
OS: Unspecified
high
medium vote
Target Milestone: ovirt-4.2.0
: ---
Assignee: Nir Soffer
QA Contact: Pavel Stehlik
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-20 15:11 UTC by Piotr Kliczewski
Modified: 2019-04-28 13:31 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-16 14:44:06 UTC
oVirt Team: Storage
rule-engine: ovirt-4.2+
ylavi: Triaged+
rule-engine: planning_ack+
rule-engine: devel_ack+
acanan: testing_ack+


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 59512 0 'None' 'MERGED' 'api: Use warnings to report schema inconsistencies' 2019-12-09 11:03:49 UTC

Description Piotr Kliczewski 2016-06-20 15:11:37 UTC
This BZ is created to track yaml schema alignment with runtime.

Comment 1 Tal Nisan 2016-06-20 21:07:49 UTC
Piotr, which version is it supposed to be included in?

Comment 2 Nir Soffer 2016-06-20 21:27:28 UTC
The included patch is the first step, cleaning the warnings from vdsm log.

We will schedule the work on fixing the storage schema to match the code.

Comment 3 Nir Soffer 2016-06-20 21:29:15 UTC
Tal, we need 4.0 bug for the patch, can you tweak it to make gerrit hooks happy?

Comment 4 Piotr Kliczewski 2016-06-21 07:47:52 UTC
Tal please see Nir's comment.

Comment 5 Aharon Canan 2016-07-03 10:51:57 UTC
What am I testing here?

Comment 6 Nir Soffer 2016-07-03 11:05:53 UTC
(In reply to Aharon Canan from comment #5)
> What am I testing here?

Before this patch the log was full with warnings like this:

    jsonrpc.Executor/2::WARNING::2016-06-21 00:47:52,536::vdsmapi::143::SchemaCache::(_report_inconsistency) Provided value "0" not defined in AutoNumaBalancingStatus enum for Host.getCapabilities

These warnings are for vdsm developers or developers writing applications using 
vdsm apis, so now they are logged only if you enable the python_warnings_enable
in [devel] section of vdsm configuration.

Comment 7 Carlos Mestre González 2016-07-07 15:41:31 UTC
verivied on version:vdsm-4.18.5.1-1.el7ev.x86_64

after enabled different warnings are shown like

jsonrpc.Executor/3::WARNING::2016-07-07 18:37:18,129::vdsmapi::148::py.warning
s::(_report_inconsistency) /usr/lib/python2.7/site-packages/api/vdsmapi.py:

or deprecation warnings.

without the python_warnings_enable the only warnings that I see on logs are:

storageRefresh::DEBUG::2016-07-07 18:37:24,892::lvm::288::Storage.Misc.excCmd::(cmd) SUCCESS: <err> = '  WARNING: lvmetad is running but disabled. Restart lvmetad before enabling it!\n'; <rc> = 0

Comment 8 Sandro Bonazzola 2016-07-19 06:26:25 UTC
Since the problem described in this bug report should be
resolved in oVirt 4.0.1 released on July 19th 2016, it has been closed with a
resolution of CURRENT RELEASE.

For information on the release, and how to update to this release, follow the link below.

If the solution does not work for you, open a new bug report.

http://www.ovirt.org/release/4.0.1/

Comment 9 Piotr Kliczewski 2016-07-25 12:59:39 UTC
The patch related to this BZ only changes how we log inconsistency issues. We need to fix the schema which is not done. Reopening this BZ.

Comment 10 Red Hat Bugzilla Rules Engine 2016-07-25 12:59:44 UTC
Target release should be placed once a package build is known to fix a issue. Since this bug is not modified, the target version has been reset. Please use target milestone to plan a fix for a oVirt release.

Comment 11 Nir Soffer 2016-08-31 15:32:34 UTC
Moving to low since this does not affect users. These warnings are for developers.

Also this should be scheduled to 4.1.

Comment 12 Yaniv Kaul 2017-02-12 10:39:58 UTC
(In reply to Nir Soffer from comment #11)
> Moving to low since this does not affect users. These warnings are for
> developers.
> 
> Also this should be scheduled to 4.1.

Moving to 4.2 - I don't see this happening right now. Marking with High Priority so it'll be on our radar for 4.2.

Comment 13 Nir Soffer 2017-04-19 12:00:51 UTC
Piotr, isn't this fixed in master now, after merging your latest patches?
https://gerrit.ovirt.org/#/q/status:merged+project:vdsm+branch:master+topic:storgare_schema_fixes

Comment 14 Piotr Kliczewski 2017-04-19 12:42:38 UTC
There was few fixes but we do not know whether it was complete list of inconsistencies.

Comment 15 Allon Mureinik 2017-07-16 14:44:06 UTC
Closing in the meanwhile, unless we see some concrete item to fix.

Comment 16 Piotr Kliczewski 2017-07-17 07:17:50 UTC
We know that storage code is the least correct with the schema. It is enough to enable 'strict_mode' and see how many calls would fail. Please do not close it before all of the inconsistencies are fixed.


Note You need to log in before you can comment on or make changes to this bug.